net.sourceforge.pmd.processor

## Class MonoThreadProcessor

- java.lang.Object
- - net.sourceforge.pmd.processor.AbstractPMDProcessor
  - - net.sourceforge.pmd.processor.MonoThreadProcessor

    public final class MonoThreadProcessor
    extends AbstractPMDProcessor

Author:
  Romain Pelisse <belaran@gmail.com>

### Field Summary

### Fields inherited from class net.sourceforge.pmd.processor.AbstractPMDProcessor

`configuration`

### Constructor Summary

Constructors
Constructor and Description
`MonoThreadProcessor(PMDConfiguration configuration)`

### Method Summary

Methods
`void` `processFiles(RuleSetFactory ruleSetFactory, List<DataSource> files, RuleContext ctx, List<Renderer> renderers)`

### Methods inherited from class net.sourceforge.pmd.processor.AbstractPMDProcessor

`createRuleSets, filenameFrom, renderReports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MonoThreadProcessor

    public MonoThreadProcessor(PMDConfiguration configuration)

### Method Detail

#### processFiles

    public void processFiles(RuleSetFactory ruleSetFactory,
                    List<DataSource> files,
                    RuleContext ctx,
                    List<Renderer> renderers)